@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__('Posts')}}</h1>
            <p>{{__('Create Our Posts')}}</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="">{{__('Posts')}}</a></li>
            <li class="breadcrumb-item"><a href="#">{{__('Create')}}</a></li>
        </ul>
    </div>
@endsection
@section("content")
    <div class="row">
        <div class="col-lg-10 m-auto">
            <div class="tile">
                <h3 class="tile-title">{{__('Create Our Posts')}}</h3>
                <div class="tile-body">
                    <form method="post" action="{{route("blogs.blogs.store")}}" enctype="multipart/form-data">
                        @csrf
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Title En')}}</label>
                                    <input class="form-control @if($errors->has('title_en')) is-invalid @endif" type="text" name="title_en" placeholder="{{__('Enter  Title En')}}" value="{{inputValue("title_en")}}">
                                </div>
                                @error("title_en")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Title Ar')}}</label>
                                    <input class="form-control @if($errors->has('title_ar')) is-invalid @endif" type="text" name="title_ar" placeholder="{{__('Enter Title Ar')}}" value="{{inputValue("title_ar")}}">
                                </div>
                                @error("title_ar")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Description En')}}</label>
                                    <textarea class="form-control @if($errors->has('description_en')) is-invalid @endif" type="text" name="description_en" style="height: 120px" placeholder="{{__('Enter Description En')}}">{{inputValue("description_en")}}</textarea>
                                </div>
                                @error("description_en")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Description Ar')}}</label>
                                    <textarea class="form-control @if($errors->has('description_ar')) is-invalid @endif" type="text" name="description_ar" style="height: 120px" placeholder="{{__('Enter Description Ar')}}">{{inputValue("description_ar")}}</textarea>
                                </div>
                                @error("description_ar")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Auther Name')}}</label>
                                    <input class="form-control @if($errors->has('auther_name')) is-invalid @endif" type="text" name="auther_name" placeholder="{{__('Enter Auther Name')}}" value="{{inputValue("auther_name")}}">
                                </div>
                                @error("auther_name")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="control-label">{{__('Auther Image')}}</label>
                                        <div>
                                            <button class="btn btn-primary form-control button-upload-file" >
                                                <input class="input-file show-uploaded" data-upload-type="single" data-imgs-container-class="uploaded-images"  accept="image/png, image/gif, image/jpeg , image/webp" type="file" name="auther_image" value="{{inputValue("auther_image")}}">
                                                <span class="upload-file-content">
                                                <i class="fas fa-upload fa-lg upload-file-content-icon left"></i>
                                                <span class="upload-file-content-text">{{__("Upload Photo")}}</span>
                                            </span>
                                            </button>
                                        </div>
                                    </div>
                                    @error("auther_image")
                                    <div class="input-error">{{$message}}</div>
                                    @enderror
                            </div>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__("Media")}}</label>
                                    <select class="custom-select form-control @if($errors->has('option')) is-invalid @endif" id="option" name="option" value="{{inputValue("option")}}">
                                        <option disabled selected>{{__("Choose Media Type")}}</option>
                                        <option value="1">{{__("Image")}}</option>
                                        <option value="2">{{__("Video")}}</option>
                                    </select>
                                </div>
                                @error("option")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group" id="images">
                                    <label class="control-label">{{__("Image")}}</label>
                                    <div>

                                        <button class="btn btn-primary form-control button-upload-file" >
                                            <input class="input-file show-uploaded" data-upload-type="single"  data-imgs-container-class="uploaded-images"  accept="image/png, image/gif, image/jpeg" type="file" value="{{inputValue("blog_image")}}" name="blog_image">
                                            <span class="upload-file-content">
                                                <i class="fas fa-upload fa-lg upload-file-content-icon left"></i>
                                                <span class="upload-file-content-text">{{__("Upload Photo")}}</span>
                                            </span>
                                        </button>
                                    </div>
                                </div>
                                <div class="form-group" id="videos">
                                    <label class="control-label">{{__("Video")}}</label>
                                    <div>
                                        <button class="btn btn-primary form-control button-upload-file" >
                                            <input class="input-file show-uploaded"  data-upload-type="single"  data-container-class-video="uploaded-video"  type="file"  name="blog_video" value="{{inputValue("blog_video")}}" accept="video/mp4,video/x-m4v,video/*" >
                                            <span class="upload-file-content"><i class="fas fa-upload fa-lg upload-file-content-icon left"></i>
                                            <span class="upload-file-content-text">{{__("Upload video")}}</span>
                                            </span>
                                        </button>
                                    </div>
                                    <div class="col-lg-3 col-md-5 col-sm-6">
                                        <div class="uploaded-video"></div>
                                    </div>
                                    @error("media")
                                    <div class="input-error">{{$message}}</div>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="control-label">{{__("Status")}}</label>
                                        <select class="custom-select form-control @if($errors->has('status')) is-invalid @endif" id="status" name="status" value="{{inputValue("status")}}">
                                            <option disabled selected>{{__("Choose Status")}}</option>
                                            <option value="1">{{__("Active")}}</option>
                                            <option value="0">{{__("Disable")}}</option>
                                        </select>
                                    </div>
                                    @error("status")
                                    <div class="input-error">{{$message}}</div>
                                    @enderror
                                </div>
                            <div class="col-lg-6">
                                <label class="control-label">{{__("Date")}}</label>
                                <div class="form-group">
                                    <input  class="custom-select form-control @if($errors->has('date')) is-invalid @endif" type="date" name="date" value="{{inputValue("date")}}"/>
                                </div>
                                @error("date")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="tile-footer">
                            <button class="btn btn-primary" type="submit"><i class="fa fa-fw fa-lg fa-check-circle"></i>Create</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section("scripts")
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script>
        $(function (){
            $('#images').hide();
            $('#videos').hide();
            $('#option').change(function()
            {
                if( $('#option').val() == '1') {
                    $('#images').show();
                    $('#videos').hide();
                }else {
                    $('#videos').show();
                    $('#images').hide();
                }
            });
        });
    </script>
@endsection
