@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__('Posts')}}</h1>
            <p>{{__('Control and view all Posts')}}</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">{{__('Posts')}}</a></li>
        </ul>
    </div>
@endsection
@section("content")
    @include("layouts.main-parts.page-message")
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                        <table class="table table-hover table-bordered text-center" id="sampleTable">
                        <thead>
                            <tr>
                                    <th>#{{__('ID')}}</th>
                                    <th>{{__('Title En')}}</th>
                                    <th>{{__('Title Ar')}}</th>
                                    <th>{{__('Description En')}}</th>
                                    <th>{{__('Description Ar')}}</th>
                                    <th>{{__('Auther Name')}}</th>
                                    <th>{{__('Auther Image')}}</th>
                                    <th>{{__('Media')}}</th>
                                    <th>{{__('Media Type')}}</th>
                                    <th>{{__('Status')}}</th>
                                    <th>{{__('Date')}}</th>
                                    <th>{{__('Controls')}}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @if(count($blogs) == 0)
                                <tr>
                                    <td colspan="11" class="text-center">No Data </td>
                                </tr>
                            @endif
                            @foreach($blogs as $blog)
                                <tr>
                                        <td>{{$blog->id}}</td>
                                    <td>{{$blog->title_en}}</td>
                                    <td>{{$blog->title_ar}}</td>
                                    <td>{{$blog->description_en}}</td>
                                    <td>{{$blog->description_ar}}</td>
                                    <td>{{$blog->auther_name}}</td>
                                    <td><img src="{{$blog->getimageAttribute().$blog->auther_image}}" alt="Auther Image" style="width: 100px; height: 100px"></td>
                                      @if($blog->media_type == 1)
                                        <td><img src="{{$blog->getimageAttribute().$blog->media}}" alt="Auther Image" style="width: 100px; height: 100px"></td>
                                        <td>{{__("Image")}}</td>
                                    @else
                                        <td>
                                            <video width="120px" height="80px" controls>
                                                <source src="{{$blog->media}}">
                                            </video>
                                        </td>
                                        <td>{{__("Video")}}</td>
                                    @endif
                                    @if($blog->status == 1)
                                    <td>{{__("Active")}}</td>
                                    @else
                                    <td>{{__("Disabled")}}</td>
                                    @endif
                                    <td>{{$blog->date}}</td>
                                    <td>
                                        <a href="{{route("blogs.blogs.edit",$blog->id)}}" class="control-link edit"><i class="fas fa-edit"></i></a>
                                        <form action="{{route("blogs.blogs.destroy",$blog->id)}}" method="post" id="delete{{$blog->id}}" style="display: none" data-swal-title="{{__('Delete Blog')}}" data-swal-text="{{__('Are Your Sure To Delete This Blog ?')}}" data-yes="{{__('Yes')}}" data-no="{{__('No')}}" data-success-msg="{{__('the Blog has been deleted succssfully')}}">@csrf @method("delete")</form>
                                        <span href="#" class="control-link remove form-confirm" data-form-id="#delete{{$blog->id}}"><i class="far fa-trash-alt"></i></span>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section("scripts")

    <!-- Data table plugin-->
    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
@endsection
