@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__("Main Categories")}}</h1>
            <p>{{__('Edit category')}}</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="{{route("categories.index")}}">{{__("Main Categories")}}</a></li>
            <li class="breadcrumb-item"><a href="#">{{__('Edit')}}</a></li>
            <li class="breadcrumb-item"><a href="#">{{$category->id}}</a></li>
        </ul>
    </div>
@endsection

@section("content")
    <div class="row">
        <div class="col-lg-10 m-auto">
            <div class="tile">
                <h3 class="tile-title">{{__('Edit category')}}</h3>
                <div class="tile-body">
                    <form method="post" action="{{route("categories.update", $category->id)}}" enctype="multipart/form-data">
                        @csrf
                        @method("put")
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('English Category Name')}}</label>
                                    <input class="form-control @if($errors->has('category_name_en')) is-invalid @endif" type="text" name="category_name_en" placeholder="{{__('Enter English Category name')}}" value="{{inputValue("category_name_en",$category)}}">
                                </div>
                                @error("category_name_en")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Arabic Category Name')}}</label>
                                    <input class="form-control @if($errors->has('category_name_ar')) is-invalid @endif" type="text" name="category_name_ar" placeholder="{{__('Enter Arabic Category name')}}" value="{{inputValue("category_name_ar",$category)}}">
                                </div>
                                @error("category_name_ar")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                        </div>
                        <hr>
                        <div class="row">
                                <div class="col-lg-4">
                                    <div class="form-group">
                                        <label class="control-label">{{__('Category Photo')}}</label>
                                        <div>
                                            <button class="btn btn-primary form-control button-upload-file" >
                                                <input class="input-file" type="file" name="category_photo">
                                                <span class="upload-file-content">
                                                <i class="fas fa-upload fa-lg upload-file-content-icon left"></i>
                                                <span class="upload-file-content-text">{{__('Upload Photo')}}</span>
                                            </span>
                                            </button>
                                        </div>
                                    </div>
                                    @error("category_photo")
                                    <div class="input-error">{{$message}}</div>
                                    @enderror
                                </div>
                                <div class="col-lg-4">
                                    <label class="control-label">{{__('Category Status')}}</label>
                                    <div class="toggle-flip">
                                        <label>
                                            <input type="checkbox" name="category_status" {{checked("category_status", 1, $category)}}><span class="flip-indecator" data-toggle-on="{{__('ON')}}" data-toggle-off="{{__('OFF')}}"></span>
                                        </label>
                                    </div>
                                </div>

                                <!-- <div class="col-lg-4">-->
                                <!--    <label class="control-label">{{__('Category Position')}}</label>-->
                                <!--    <div class="toggle-flip">-->
                                <!--        <label>-->
                                <!--            <input type="checkbox" name="Category_Position" {{checked("DisplaySize", 1, $category)}}><span class="flip-indecator" data-toggle-on="Top" data-toggle-off="Bottom"></span>-->
                                <!--        </label>-->
                                <!--    </div>-->
                                <!--</div>-->



                            </div>
                        <div class="tile-footer">
                            <button class="btn btn-primary" type="submit"><i class="fa fa-fw fa-lg fa-check-circle"></i>{{__('Edit')}}</button>
                        </div>
                    </form>
                </div>

            </div>
        </div>
    </div>
@endsection
@section("scripts")
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>

@endsection
