@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__('Items')}}</h1>
            <p>{{__('Control and view all Items')}}</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">{{__('Items')}}</a></li>
        </ul>
    </div>
@endsection
@section("content")
    @include("layouts.main-parts.page-message")
    <div class="row">
        <div class="col-md-12">
            <a href="{{route("reports.items.export.excel")}}"  class="btn btn-primary"><i class="far fa-fw fa-lg  fa-file-excel text-left"></i> Export As Excel</a>

            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                        <table class="table table-hover table-bordered" id="sampleTable">
                            <thead>
                            <tr>
                                <th>#{{__('ID')}}</th>
                                <th>{{__('Item Image')}}</th>
                                <th>{{__('English Item name')}}</th>
                                <th>{{__('Arabic Item name')}}</th>
                                <th>{{__('Item price')}}</th>
                                <th>{{__('Discount price')}}</th>
                                <!--<th>{{__('Offer price')}}</th>-->
                                <th>{{__('Arabic Category name')}}</th>
                                <th>{{__('English Category name')}}</th>
                                <th>{{__('English Item description')}}</th>
                                <th>{{__('Arabic Item description')}}</th>
                                <th>{{__('Item Status')}}</th>
                                <th>{{__('Add Ons')}}</th>
                                <th>{{__('Control')}}</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php

                            $count = 0;
                            ?>
                            @foreach($items as $item)
                                <tr>
                                    <td>{{++$count}}</td>
                                    <td><img src="{{$item->item_image}}" alt="" style="width: 90px"></td>
                                    <td>{{$item->item_name_en}}</td>
                                    <td>{{$item->item_name_ar}}</td>
                                    <td>{{$item->item_price}}</td>
                                    <td>{{$item->Discount_price ? $item->Discount_price : 'NO-Discount'}}</td>
                                    <td>{{$item->category->category_name_ar}}</td>
                                    <td>{{$item->category->category_name_en}}</td>
                                    <td>{{$item->item_description_en}}</td>
                                    <td>{{$item->item_description_ar}}</td>

                                    <td>{{$item->item_status == 1 ? "Active" : "Non-Active" }}</td>
                                    <td><a href="{{route("items.add_ons",$item->id)}}" class="btn btn-primary">{{__('Control')}}</a></td>
                                    <td>
                                        <a href="{{route("items.edit", $item->id)}}" class="control-link edit"><i class="fas fa-edit"></i></a>
                                        <form action="{{route("items.destroy", $item->id)}}" method="post" id="delete{{$item->id}}" style="display: none" data-swal-title="{{__('Delete Item')}}" data-swal-text="{{__('Are Your Sure To Delete This Item ?')}}" data-yes="{{__('Yes')}}" data-no="{{__('No')}}" data-success-msg="{{__('the item has been deleted succssfully')}}">@csrf @method("delete")</form>
                                        <span href="#" class="control-link remove form-confirm" data-form-id="#delete{{$item->id}}"><i class="far fa-trash-alt"></i></span>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section("scripts")
    <!-- Data table plugin-->
    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
@endsection
