@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__('Orders')}}</h1>
            <p>{{__('Control and view Orders')}}</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">{{__('Orders')}}</a></li>
        </ul>
    </div>
@endsection
@section("content")
    @include("layouts.main-parts.page-message")
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                        <table class="table table-hover table-bordered" id="sampleTable">

                                                      <div class="row">


                                <div class="col-lg-4 col-md-5 col-sm-12">
                                    <label for="">{{__('Filter By Status')}}</label>
                                    <div class="form-group">
                                        <select name="" id="status-filter" class="form-control">
                                            <option data-value="0" value="" selected>{{__('All')}}</option>
                                            <option data-value="1" value="pending">{{__('Pending')}}</option>
                                            <option data-value="2" value="Accept">{{__('Accept')}}</option>
                                            <option data-value="3" value="Prepare">{{__('Prepare')}}</option>
                                            <option data-value="4" value="Ready">{{__('Ready')}}</option>
                                            <option data-value="5" value="Delieverd">{{__('Delieverd')}}</option>
                                            <option data-value="6" value="Reject">{{__('Reject')}}</option>
                                            <option data-value="6" value="Reject">{{__('Canceled')}}</option>
                                        </select>
                                    </div>


                                </div>



                                <div class="col-lg-8 p-4 text-right">
                                    <form action="{{route("orders.export.excel")}}" method="post"  id="form-excel">
                                        @csrf
                                        <input type="hidden" name="status" value="0">
                                        <span  class="download-excel btn btn-primary"><i class="far fa-fw fa-lg  fa-file-excel text-left"></i>{{__('Export As Excel')}}</span>

                                    </form>
                                </div>

                            </div>
                            <thead>
                            <tr>
                                <th>#{{__('ID')}}</th>
                                <th>{{__('Order number')}}</th>
                                <th>{{__('Phone number')}}</th>
                                <th>{{__('Status')}}</th>
                                <th>{{__('Payment Method')}}</th>
                                <th>{{__('Total Quantity')}}</th>
                                <th>{{__('Tax')}}</th>
                                <th>{{__('Total Amount')}}</th>
                                <th>{{__('Address')}}</th>
                                <th>{{__('Branch name')}}</th>
                                <th>{{__('Created at')}}</th>
                                <th>{{__('instruction')}}</th>
                                <th>{{__('Details')}}</th>
                            </tr>
                            </thead>
                            <tbody>
                                    <?php
                              $count = 0;
                              ?>
                            @foreach($orders as $order)
                            <tr>
                                <td>{{++$count}}</td>
                                <td>{{$order->order_number}}</td>
                                <td>{{$order->phone_number}}</td>
                                <td>
                                 @switch($order->Status)
                                        @case(1) Pending @break
                                        @case(2) Accept @break
                                        @case(3) Prepare @break
                                        @case(4) Ready @break
                                        @case(5) Delieverd @break
                                        @case(6) Reject @break
                                    @endswitch

                                </td>
                                <td>{{$order->paymentMethod}}</td>
                                <td>{{$order->totalQty}}</td>
                                <td>{{$order->tax}}</td>
                                <td>{{$order->Total_Amount}}</td>
                                <td>{{(($order->address != null) ?$order->address->locality:null) . " - " . (($order->address !=null) ?$order->address->sub_locality:null) . " - " . (($order->address != null) ?$order->address->neighborhood:null)}}</td>
                                <td>{{$order->store_name_en}}</td>
                                <td>{{$order->created_at->diffForhumans()}}</td>
                                <td>{{$order->instruction}}</td>

                                       <td>
                                    <a href="{{route("orders.details", $order->id)}}" class="control-link"><i class="far fa-eye"></i></a>
                                       </td>
                            </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section("scripts")
    <!-- Data table plugin-->
    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">
        let table = $('#sampleTable').DataTable();
        $("#status-filter").on("change",function (){
             console.log($(this).val());
           table.column(3).search($(this).val()).draw();
        });

    </script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
    <script type="text/javascript">
        $(".download-excel").click(function (e){
            e.preventDefault();

            let status = $("#status-filter option:selected").data("value");


            $(this).siblings("input[name='status']").val(status);


            $("#form-excel").submit();

        });
    </script>
@endsection

