@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__('Principles')}}</h1>
            <p>{{__('Create Our Principles')}}</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="{{route("principles.index")}}">{{__('Principles')}}</a></li>
            <li class="breadcrumb-item"><a href="#">{{__('Create')}}</a></li>
        </ul>
    </div>
@endsection
@section("content")
    <div class="row">
        <div class="col-lg-10 m-auto">
            <div class="tile">
                <h3 class="tile-title">{{__('Create Our Principles')}}</h3>
                <div class="tile-body">
                    <form method="post" action="{{route('principles.store')}}" enctype="multipart/form-data">
                        @csrf
                        <div class="row">
                            <div class="col-lg-6">
                                <h5>{{__("Misson")}}</h5>
                                <div class="form-group">
                                    <label class="control-label">{{__('Misson Title En')}}</label>
                                    <input class="form-control @if($errors->has('misson_title_en')) is-invalid @endif" type="text" name="misson_title_en" placeholder="{{__('Enter Misson Title En')}}" value="{{inputValue("misson_title_en")}}">
                                </div>
                                @error("misson_title_en")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <h5>{{__("Misson")}}</h5>
                                <div class="form-group">
                                    <label class="control-label">{{__('Misson Title Ar')}}</label>
                                    <input class="form-control @if($errors->has('misson_title_ar')) is-invalid @endif" type="text" name="misson_title_ar" placeholder="{{__('Enter Misson Title Ar')}}" value="{{inputValue("misson_title_ar")}}">
                                </div>
                                @error("misson_title_ar")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Misson Description En')}}</label>
                                    <textarea class="form-control @if($errors->has('misson_description_en')) is-invalid @endif" type="text" name="misson_description_en" style="height: 120px" placeholder="{{__('Enter Misson Description En')}}">{{inputValue("misson_description_en")}}</textarea>
                                </div>
                                @error("misson_description_en")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Misson Description Ar')}}</label>
                                    <textarea class="form-control @if($errors->has('misson_description_ar')) is-invalid @endif" type="text" name="misson_description_ar" style="height: 120px" placeholder="{{__('Enter Misson Description Ar')}}">{{inputValue("misson_description_ar")}}</textarea>
                                </div>
                                @error("misson_description_ar")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <h5>{{__("Vision")}}</h5>
                                <div class="form-group">
                                    <label class="control-label">{{__('Vision Title En')}}</label>
                                    <input class="form-control @if($errors->has('vision_title_en')) is-invalid @endif" type="text" name="vision_title_en" placeholder="{{__('Enter Vision Title En')}}" value="{{inputValue("vision_title_en")}}">
                                </div>
                                @error("vision_title_en")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <h5>{{__("Vision")}}</h5>
                                <div class="form-group">
                                    <label class="control-label">{{__('Vision Title Ar')}}</label>
                                    <input class="form-control @if($errors->has('vision_title_ar')) is-invalid @endif" type="text" name="vision_title_ar" placeholder="{{__('Enter Vision Title Ar')}}" value="{{inputValue("vision_title_ar")}}">
                                </div>
                                @error("vision_title_ar")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Vision Description En')}}</label>
                                    <textarea class="form-control @if($errors->has('vision_description_en')) is-invalid @endif" type="text" name="vision_description_en" style="height: 120px" placeholder="{{__('Enter Vision Description En')}}" >{{inputValue("vision_description_en")}}</textarea>
                                </div>
                                @error("vision_description_en")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Vision Description Ar')}}</label>
                                    <textarea class="form-control @if($errors->has('vision_description_ar')) is-invalid @endif" type="text" name="vision_description_ar" style="height: 120px" placeholder="{{__('Enter Vision Description Ar')}}" >{{inputValue("vision_description_ar")}}</textarea>
                                </div>
                                @error("vision_description_ar")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>

                        </div>
                        <div class="row">
                          <div class="col-lg-6">
                            <h5>{{__("Values")}}</h5>
                            <div class="form-group">
                                <label class="control-label">{{__('Values Title En')}}</label>
                                <input class="form-control @if($errors->has('values_title_en')) is-invalid @endif" type="text" name="values_title_en" placeholder="{{__('Enter Values Title En')}}" value="{{inputValue("values_title_en")}}">
                            </div>
                            @error("values_title_en")
                            <div class="input-error">{{$message}}</div>
                            @enderror
                          </div>
                            <div class="col-lg-6">
                            <h5>{{__("Values")}}</h5>
                            <div class="form-group">
                                <label class="control-label">{{__('Values Title Ar')}}</label>
                                <input class="form-control @if($errors->has('values_title_ar')) is-invalid @endif" type="text" name="values_title_ar" placeholder="{{__('Enter Values Title Ar')}}" value="{{inputValue("values_title_ar")}}">
                            </div>
                            @error("values_title_ar")
                            <div class="input-error">{{$message}}</div>
                            @enderror
                          </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Values Description En')}}</label>
                                     <textarea class="form-control @if($errors->has('values_description_en')) is-invalid @endif" type="text" name="values_description_en" style="height: 120px" placeholder="{{__('Enter Values Description En')}}" >{{inputValue("values_description_en")}}</textarea>
                                </div>
                                @error("values_description_en")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                             </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                      <label class="control-label">{{__('Values Description Ar')}}</label>
                                     <textarea class="form-control @if($errors->has('values_description_ar')) is-invalid @endif" type="text" name="values_description_ar" style="height: 120px" placeholder="{{__('Enter Values Description Ar')}}" >{{inputValue("values_description_ar")}}</textarea>
                                </div>
                                @error("values_description_ar")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                             </div>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Misson Photo')}}</label>
                                    <div>
                                        <button class="btn btn-primary form-control button-upload-file" >
                                            <input class="input-file show-uploaded" data-upload-type="single" data-imgs-container-class="uploaded-images"  accept="image/png, image/gif, image/jpeg" type="file" name="misson_image">
                                            <span class="upload-file-content">
                                                <i class="fas fa-upload fa-lg upload-file-content-icon left"></i>
                                                <span class="upload-file-content-text">{{__("Upload Photo")}}</span>
                                            </span>
                                        </button>
                                    </div>
                                </div>
                                @error("misson_image")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Vision Photo')}}</label>
                                    <div>
                                        <button class="btn btn-primary form-control button-upload-file" >
                                            <input class="input-file show-uploaded" data-upload-type="single" data-imgs-container-class="uploaded-images"  accept="image/png, image/gif, image/jpeg" type="file" name="vision_image">
                                            <span class="upload-file-content">
                                                <i class="fas fa-upload fa-lg upload-file-content-icon left"></i>
                                                <span class="upload-file-content-text">{{__("Upload Photo")}}</span>
                                            </span>
                                        </button>
                                    </div>
                                </div>
                                @error("vision_image")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Values Photo')}}</label>
                                    <div>
                                        <button class="btn btn-primary form-control button-upload-file" >
                                            <input class="input-file show-uploaded" data-upload-type="single" data-imgs-container-class="uploaded-images"  accept="image/png, image/gif, image/jpeg" type="file" name="values_image">
                                            <span class="upload-file-content">
                                                <i class="fas fa-upload fa-lg upload-file-content-icon left"></i>
                                                <span class="upload-file-content-text">{{__("Upload Photo")}}</span>
                                            </span>
                                        </button>
                                    </div>
                                </div>
                                @error("values_image")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="tile-footer">
                            <button class="btn btn-primary" type="submit"><i class="fa fa-fw fa-lg fa-check-circle"></i>Create</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section("scripts")
@endsection
