@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__('Principles')}}</h1>
            <p>{{__('Control and view all Principles')}}</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">{{__('Principles')}}</a></li>
        </ul>
    </div>
@endsection
@section("content")
    @include("layouts.main-parts.page-message")
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                        <table class="table table-hover table-bordered" id="sampleTable">
                            <thead>
                            <tr>
                                <th>#{{__('ID')}}</th>
                                @if(\Illuminate\Support\Facades\App::getLocale() == 'en')
                                    <th>{{__('Misson Title En')}}</th>
                                    <th>{{__('Misson Description En')}}</th>
                                    <th>{{__('Vision Title En')}}</th>
                                    <th>{{__('Vision Description En')}}</th>
                                    <th>{{__('Values Title En')}}</th>
                                    <th>{{__('Values Description En')}}</th>
                                @else
                                    <th>{{__('Misson Title Ar')}}</th>
                                    <th>{{__('Misson Description Ar')}}</th>
                                    <th>{{__('Vision Title Ar')}}</th>
                                    <th>{{__('Vision Description Ar')}}</th>
                                    <th>{{__('Values Title Ar')}}</th>
                                    <th>{{__('Values Description Ar')}}</th>
                                @endif

                                <th>{{__('Misson Image')}}</th>
                                <th>{{__('Vision Image')}}</th>
                                <th>{{__('Values Image')}}</th>
                                <th>{{__('Controls')}}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($principles as $principle)
                                <tr>
                                    <td>{{$principle->id}}</td>
                                    @if(\Illuminate\Support\Facades\App::getLocale() == 'en')
                                        <td>{{$principle->misson_title_en}}</td>
                                        <td>{{$principle->misson_description_en}}</td>
                                        <td>{{$principle->vision_title_en}}</td>
                                        <td>{{$principle->vision_description_en}}</td>
                                        <td>{{$principle->values_title_en}}</td>
                                        <td>{{$principle->values_description_en}}</td>
                                        @elseif(\Illuminate\Support\Facades\App::getLocale() == 'ar')
                                        <td>{{$principle->misson_title_ar}}</td>
                                        <td>{{$principle->misson_description_ar}}</td>
                                        <td>{{$principle->vision_title_ar}}</td>
                                        <td>{{$principle->vision_description_ar}}</td>
                                        <td>{{$principle->values_title_ar}}</td>
                                        <td>{{$principle->values_description_ar}}</td>
                                    @endif
                                    <td><img src="{{$principle->misson_image}}" alt="" style="width: 90px"></td>
                                    <td><img src="{{$principle->vision_image}}" alt="" style="width: 90px"></td>
                                    <td><img src="{{$principle->values_image}}" alt="" style="width: 90px"></td>
                                    <td>
                                        <a href="{{route('principles.edit',$principle->id)}}" class="control-link edit"><i class="fas fa-edit"></i></a>
                                        <form action="{{route('principles.destroy',$principle->id)}}" method="post" id="delete{{$principle->id}}" style="display: none" data-swal-title="{{__('Delete Principle')}}" data-swal-text="{{__('Are Your Sure To Delete This Principle ?')}}" data-yes="{{__('Yes')}}" data-no="{{__('No')}}" data-success-msg="{{__('the Principle has been deleted succssfully')}}">@csrf @method("delete")</form>
                                        <span href="#" class="control-link remove form-confirm" data-form-id="#delete{{$principle->id}}"><i class="far fa-trash-alt"></i></span>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section("scripts")

@endsection
