@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
        <h1><i class="fa fa-dashboard"></i>{{__('promo code')}}</h1>
                      <p>{{__('Control and view all promo code')}}</p>
                     </div>
                     <ul class="app-breadcrumb breadcrumb">
                    <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
                    <li class="breadcrumb-item"><a href="#">{{__('promo code')}}</a></li>
        </ul>
    </div>
@endsection
@section("content")
    @include("layouts.main-parts.page-message")
    <div class="row">
        <div class="col-md-12">
                    <a href="{{route("reports.promocode.export.excel")}}"  class="btn btn-primary"><i class="far fa-fw fa-lg  fa-file-excel text-left"></i>{{__('Export As Excel')}}</a>

            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                    <table class="table table-hover table-bordered" id="sampleTable">
                        <thead>

                            <tr>
                                <th>#{{__('ID')}}</th>
                                <th>{{__('Title')}}</th>
                                <th>{{__('Type')}}</th>
                                <th>{{__('Value')}}</th>
                                <th>{{__('Start date')}}</th>
                                <th>{{__('End date')}}</th>
                                <th>{{__('max number of used')}}</th>
                                <th>{{__('Control')}}</th>
                            </tr>
                        </thead>
                        <tbody>
                                <?php

                              $count = 0;
                              ?>
                        @foreach($promoCodes as $promoCode)
                            <tr>

                                <td>{{++$count}}</td>
                                <td>{{$promoCode->title}}</td>
                                <td>{{$promoCode->type}}</td>
                                <td>{{$promoCode->value}}</td>
                                <td>{{$promoCode->start_time}}</td>
                                <td>{{$promoCode->End_time}}</td>
                                <td>{{$promoCode->max}}</td>

                                                               <td>
                                                               <a href="{{route("promoCode.edit", $promoCode->id)}}" class="control-link edit"><i class="fas fa-edit"></i></a>
                                                               <form action="{{route("promoCode.destroy", $promoCode->id)}}" method="post" id="delete{{$promoCode->id}}" style="display: none" data-swal-title="{{__('Delete PromoCode')}}" data-swal-text="{{__('Are Your Sure To Delete This Promocode')}}" data-yes="{{__('Yes')}}" data-no="{{__('No')}}" data-success-msg="{{__('the Promocode has been deleted succssfully')}}">@csrf @method("delete")</form>
                                                               <span href="#" class="control-link remove form-confirm" data-form-id="#delete{{$promoCode->id}}"><i class="far fa-trash-alt"></i></span>
                                                               </td>

                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section("scripts")
    <!-- Data table plugin-->
    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->

@endsection
