@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__('App Settings')}}</h1>
            <p>{{__('App Settings')}}</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">{{__('App Settings')}}</a></li>
        </ul>
    </div>
@endsection
@section("content")
@include("layouts.main-parts.page-message")

    <div class="row">
        <div class="col-lg-10 m-auto">
  <a href="{{route("reports.settings.export.excel")}}"  class="btn btn-primary"><i class="far fa-fw fa-lg  fa-file-excel text-left"></i> {{__('Export As Excel')}}</a>

            <div class="tile">
                <h3 class="tile-title">{{__('App Settings')}}</h3>
                <div class="tile-body">
                    <form method="post" action="{{route("settings.store")}}" enctype="multipart/form-data">
                        @csrf
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Phone number')}}</label>
                                    <input class="form-control @if($errors->has('phone_number')) is-invalid @endif" type="text" name="phone_number" placeholder="{{__('Phone number')}}" value="{{inputValue("phone_number", $settings)}}">
                                </div>
                                @error("phone_number")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Website URL')}}</label>
                                    <input class="form-control @if($errors->has('web_url')) is-invalid @endif" type="text" name="web_url" placeholder="{{__('Website URL')}}" value="{{inputValue("web_url", $settings)}}">
                                </div>
                                @error("web_url")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Email')}}</label>
                                    <input class="form-control @if($errors->has('email')) is-invalid @endif" type="text" name="web_url" placeholder="{{__('Email')}}" value="{{inputValue("email", $settings)}}">
                                </div>
                                @error("email")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Facebook')}}</label>
                                    <input class="form-control @if($errors->has('facebook')) is-invalid @endif" type="text" name="web_url" placeholder="{{__('Facebook')}}" value="{{inputValue("facebook", $settings)}}">
                                </div>
                                @error("facebook")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Main Branch')}}</label>
                                    <input class="form-control @if($errors->has('main_branch')) is-invalid @endif" type="text" name="web_url" placeholder="{{__('Main Branch')}}" value="{{inputValue("main_branch", $settings)}}">
                                </div>
                                @error("main_branch")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Whatsapp number')}}</label>
                                    <input class="form-control @if($errors->has('whats_app_number')) is-invalid @endif" type="text" name="whats_app_number" placeholder="05..." value="{{inputValue("whats_app_number", $settings)}}">
                                </div>
                                @error("whats_app_number")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Default Whatsapp Message')}}</label>
                                    <textarea class="form-control @if($errors->has('whats_app_message')) is-invalid @endif" type="text" name="whats_app_message" placeholder="Message ...">{{inputValue("whats_app_message", $settings)}}</textarea>
                                </div>
                                @error("whats_app_message")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>



                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Twitter URL')}}</label>
                                    <input class="form-control @if($errors->has('facebook_url')) is-invalid @endif" type="text" name="facebook_url" placeholder="https//Twitter.com/..." value="{{inputValue("facebook_url", $settings)}}">
                                </div>
                                @error("facebook_url")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>

                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Instagram URL')}}</label>
                                    <input class="form-control @if($errors->has('instagram_url')) is-invalid @endif" type="text" name="instagram_url" placeholder="" value="{{inputValue("instagram_url", $settings)}}">
                                </div>
                                @error("instagram_url")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>

                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Google Play URL')}}</label>
                                    <input class="form-control @if($errors->has('google_play_url')) is-invalid @endif" type="text" name="google_play_url" placeholder="" value="{{inputValue("google_play_url", $settings)}}">
                                </div>
                                @error("google_play_url")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>

                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('App Store URL')}}</label>
                                    <input class="form-control @if($errors->has('app_store_url')) is-invalid @endif" type="text" name="app_store_url" placeholder="" value="{{inputValue("app_store_url", $settings)}}">
                                </div>
                                @error("app_store_url")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
{{--                            <div class="col-lg-6">--}}
{{--                                <div class="form-group">--}}
{{--                                    <label class="control-label">{{__("Map")}}</label> <br>--}}
{{--                                    <!-- Button trigger modal -->--}}
{{--                                    <button type="button" onclick="getLocation()" class="btn btn-primary @if($errors->has('lng')) is-invalid @endif" data-toggle="modal" data-target="#exampleModalCenter">--}}
{{--                                        <span class="icon color-light"><i class="fas fa-map-marker-alt"></i></span>{{__("Map")}}--}}
{{--                                    </button>--}}
{{--                                    <spna class="btn btn-success" id="mapStatus" style="display: none"> Location saved</spna>--}}
{{--                                    <!-- Modal -->--}}
{{--                                    <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">--}}
{{--                                        <div class="modal-dialog modal-dialog-centered" role="document">--}}
{{--                                            <div class="modal-content">--}}
{{--                                                <div class="modal-header">--}}
{{--                                                    <h5 class="modal-title" id="exampleModalLongTitle">Modal title</h5>--}}
{{--                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">--}}
{{--                                                        <span aria-hidden="true">&times;</span>--}}
{{--                                                    </button>--}}
{{--                                                </div>--}}
{{--                                                <div class="modal-body">--}}
{{--                                                    <div class="row parent-box">--}}
{{--                                                        <div class="col-lg-12 m-auto map-box">--}}
{{--                                                            <div class="tile-body" id="parent-box">--}}
{{--                                                                <!--- Map Section --->--}}
{{--                                                                <div id="map-box" style="@if(Session::has("location_details")) display:none @endif">--}}
{{--                                                                    <div id="map"></div>--}}
{{--                                                                </div>--}}
{{--                                                                <!--- Info Section --->--}}
{{--                                                                <div id="info-box" style="@if(Session::has("location_details")) display:block @endif">--}}
{{--                                                                    <input type="hidden" name="lat" id="lat" value="{{inputValue("latitude")}}">--}}
{{--                                                                    <input type="hidden" name="lng" id="lng" value="{{inputValue("longitude")}}">--}}
{{--                                                                    <button type="button" class="close btn btn-success" data-dismiss="modal" aria-label="Close">--}}
{{--                                                                        Done--}}
{{--                                                                    </button>--}}
{{--                                                                </div>--}}
{{--                                                            </div>--}}
{{--                                                        </div>--}}
{{--                                                    </div>--}}
{{--                                                </div>--}}
{{--                                            </div>--}}
{{--                                        </div>--}}
{{--                                    </div>--}}
{{--                                </div>--}}
{{--                                @error("lng")--}}
{{--                                <div class="input-error">{{$message}}</div>--}}
{{--                                @enderror--}}
{{--                            </div>--}}
                            <!-- <div class="col-lg-6">-->
                            <!--    <div class="form-group">-->
                            <!--        <label class="control-label">{{__('Tax Number')}}</label>-->
                            <!--        <input class="form-control @if($errors->has('Tax_Number')) is-invalid @endif" type="text" name="Tax_Number" placeholder="" value="{{inputValue("Tax_Number", $settings)}}">-->
                            <!--    </div>-->
                            <!--    @error("Tax_Number")-->
                            <!--    <div class="input-error">{{$message}}</div>-->
                            <!--    @enderror-->
                            <!--</div>-->
                            <!--  <div class="col-lg-6">-->
                            <!--    <div class="form-group">-->
                            <!--        <label class="control-label">{{__('Company Name')}}</label>-->
                            <!--        <input class="form-control @if($errors->has('company_name')) is-invalid @endif" type="text" name="company_name" placeholder="" value="{{inputValue("company_name", $settings)}}">-->
                            <!--    </div>-->
                            <!--    @error("company_name")-->
                            <!--    <div class="input-error">{{$message}}</div>-->
                            <!--    @enderror-->
                            <!--</div>-->
                        </div>
                        <hr>


                        <div class="tile-footer">
                            <button class="btn btn-primary" type="submit"><i class="fa fa-fw fa-lg fa-check-circle"></i>{{__('Save')}}</button>
                        </div>
                    </form>
                </div>

            </div>
        </div>
    </div>
@endsection
@section("scripts")
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
        let map,marker;
        let inputLat = document.querySelector("#lat");
        let inputLng = document.querySelector("#lng");
        let mapStatus=$("#mapStatus");

    function getLocation() {
        if (navigator.geolocation) {
            navigator.geolocation.watchPosition(showPosition,showError);
        } else {
            x.innerHTML = "Geolocation is not supported by this browser.";
        }
    }
        function showPosition(position) {

    let lat = position.coords.latitude
            let lang =  position.coords.longitude
            initMap(lat,lang)
            mapStatus.show();
            console.log( lat);
            console.log(lang );

        }
        function showError(error) {
            switch(error.code) {
                case error.PERMISSION_DENIED:
                    alert( "Please enable location services.")
                    // alert( "User denied the request for Geolocation.")
                    mapStatus.hide();
                    break;
                case error.POSITION_UNAVAILABLE:
                    alert( "Please enable location services.")
                    // alert("Location information is unavailable.")
                    mapStatus.hide();
                    break;
                case error.TIMEOUT:
                    alert( "Please enable location services.")
                    // alert("The request to get user location timed out.")
                    mapStatus.hide();
                    break;
                case error.UNKNOWN_ERROR:
                    alert( "Please enable location services.")
                    // alert("An unknown error occurred.")
                    mapStatus.hide();
                    break;
            }
        }

   function initMap(lat,lang) {

    let latVal = parseFloat(inputLat.value);
       let lngVal = parseFloat(inputLng.value);
       if(latVal == 0 && lngVal == 0 || ( isNaN(latVal) && isNaN(lngVal))){
           latVal = lat;
           lngVal = lang;

        $("#lat").val(latVal);
           $("#lng").val(lngVal);

    let defaultPosition = { lat: latVal, lng: lngVal };
       map = new google.maps.Map(document.getElementById("map"), {
           center: defaultPosition,
           zoom: 16,
       });
       marker = new google.maps.Marker({
           position: defaultPosition,
           map: map,
           draggable: true
       });


    map.addListener("center_changed",changeMarkerPosition);
       map.addListener("zoom_change",changeMarkerPosition);
       marker.addListener("dragend",setPositionToInputs)
   }
function changeMarkerPosition(){
    let latlng = map.getCenter();
    marker.setPosition(latlng);
    setPositionToInputs();

function setPositionToInputs(){
    inputLat.value = marker.getPosition().lat();
    inputLng.value = marker.getPosition().lng();
    mapStatus.show();
}

function getAddressByReverseGeocoding(lat,lng){
    var latlng = new google.maps.LatLng(lat, lng);
    var geocoder = new google.maps.Geocoder();
    geocoder.geocode({ 'latLng': latlng }, function (results, status) {
        if (status !== google.maps.GeocoderStatus.OK) {
            alert(status);
        }
        if (status == google.maps.GeocoderStatus.OK) {
            console.log(results);
        }
    });
}}}

    </script>


@endsection
