@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__('Sliders')}}</h1>
            <p>{{__('Edit new Sliders')}}</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="{{route("sliders.index")}}">{{__('Sliders')}}</a></li>
            <li class="breadcrumb-item"><a href="#">{{__('Edit')}}</a></li>
        </ul>
    </div>
@endsection
@section("content")
    <div class="row">
        <div class="col-lg-10 m-auto">
            <div class="tile">
                <h3 class="tile-title">{{__('Edit new Sliders')}}</h3>
                <div class="tile-body">
                    <form method="post" action="{{route("sliders.update", $slider->id)}}" enctype="multipart/form-data">
                        @csrf
                        @method("put")
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="control-label">{{__('Slider Photo')}}</label>
                                    <div>
                                        <button class="btn btn-primary form-control button-upload-file" >
                                            <input class="input-file" type="file" name="Silder_image">
                                            <span class="upload-file-content">
                                                    <i class="fas fa-upload fa-lg upload-file-content-icon left"></i>
                                                    <span class="upload-file-content-text">{{__('Upload Photo')}}</span>
                                                </span>
                                        </button>
                                    </div>
                                </div>
                                @error("Silder_image")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-lg-6" >
                                <div class="form-group">
                                    <label for="">{{__('Navigate Type')}}</label>
                                    <div class="custom-control custom-radio">
                                        <input type="radio" id="customRadio1" name="type" class="custom-control-input navigateType" value="1" data-select="#categoires" {{checked("type", '1')}}>
                                        <label class="custom-control-label" for="customRadio1">{{__('Category')}}</label>
                                    </div>
                                    <div class="custom-control custom-radio">
                                        <input type="radio" id="customRadio2" name="type" class="custom-control-input navigateType" value="2" data-select="#items" {{checked("type", '2')}}>
                                        <label class="custom-control-label" for="customRadio2">{{__('Items')}}</label>
                                    </div>

                                </div>
                                @error("type")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>

                            <div class="col-lg-6 selects" id="categoires" style="@if($errors->has('category')) display:block @endif">
                                <div class="form-group">
                                    <label for="exampleSelect1" >{{__('Category')}}</label>
                                    <select class="form-control @if($errors->has('category')) is-invalid @endif" id="NavigateList" name="category">
                                        <option value="">{{__('None')}}</option>
                                        @foreach($categories as $category)
                                            <option value="{{$category->id}}" {{selected("navigate_id", $category->id)}}>{{$category->category_name_en}} ( {{$category->category_name_ar}} )</option>
                                        @endforeach
                                    </select>
                                </div>
                                @error("category")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                            <div class="col-lg-6 selects" id="items" style="@if($errors->has('item')) display:block @endif">
                                <div class="form-group">
                                    <label for="exampleSelect1" >{{__('Items')}}</label>
                                    <select class="form-control @if($errors->has('item')) is-invalid @endif" id="NavigateList" name="item">
                                        <option value="">{{__('None')}}</option>
                                        @foreach($items as $item)
                                            <option value="{{$item->id}}" {{selected("navigate_id", $item->id)}}>{{$item->item_name_en}} ( {{$item->item_name_ar}} )</option>
                                        @endforeach
                                    </select>
                                </div>
                                @error("item")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="row">
                                <div class="col-lg-6">
                                    <label class="control-label">{{__('Slider Status')}}</label>
                                    <div class="toggle-flip">
                                        <label>
                                            <input type="checkbox" name="slider_status" {{checked("slider_status", 1, $item)}}  ><span class="flip-indecator" data-toggle-on="{{__('ON')}}" data-toggle-off="{{__('OFF')}}"></span>
                                        </label>
                                    </div>
                                </div>
                                @error("status")
                                <div class="input-error">{{$message}}</div>
                                @enderror
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <div class="custom-control custom-radio">
                                        <input type="radio" id="customRadio4" name="device" class="custom-control-input navigateType" value="App"  {{checked("type", '2')}}>
                                        <label class="custom-control-label" for="customRadio4">{{__('App')}}</label>
                                    </div>
                                    <div class="custom-control custom-radio">
                                        <input type="radio" id="customRadio3" name="device" class="custom-control-input navigateType" value="web" {{checked("type", '1')}}>
                                        <label class="custom-control-label" for="customRadio3">{{__('Web')}}</label>
                                    </div>


                                </div>
                            </div>
                            @error("checkbox")
                            <div class="input-error">{{$message}}</div>
                            @enderror
                        </div>
                        <div class="tile-footer">
                            <button class="btn btn-primary" type="submit"><i class="fa fa-fw fa-lg fa-check-circle"></i>Edit</button>
                        </div>
                    </form>
                </div>

            </div>
        </div>
    </div>
@endsection
@section("scripts")
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>

@endsection
